
From: Fabian Frederick <Fabian.Frederick@skynet.be>

Here's a trivial patch to avoid definition redundancy in es1688.


---

 25-akpm/include/sound/es1688.h        |    2 ++
 25-akpm/sound/isa/es1688/es1688.c     |    2 --
 25-akpm/sound/isa/es1688/es1688_lib.c |    2 --
 3 files changed, 2 insertions(+), 4 deletions(-)

diff -puN include/sound/es1688.h~es1688-define-fix include/sound/es1688.h
--- 25/include/sound/es1688.h~es1688-define-fix	2004-04-04 17:01:47.222453344 -0700
+++ 25-akpm/include/sound/es1688.h	2004-04-04 17:01:47.229452280 -0700
@@ -55,6 +55,8 @@ struct _snd_es1688 {
 
 typedef struct _snd_es1688 es1688_t;
 
+#define chip_t es1688_t
+
 /* I/O ports */
 
 #define ES1688P(codec, x) ((codec)->port + e_s_s_ESS1688##x)
diff -puN sound/isa/es1688/es1688.c~es1688-define-fix sound/isa/es1688/es1688.c
--- 25/sound/isa/es1688/es1688.c~es1688-define-fix	2004-04-04 17:01:47.224453040 -0700
+++ 25-akpm/sound/isa/es1688/es1688.c	2004-04-04 17:01:47.230452128 -0700
@@ -34,8 +34,6 @@
 #define SNDRV_GET_ID
 #include <sound/initval.h>
 
-#define chip_t es1688_t
-
 MODULE_AUTHOR("Jaroslav Kysela <perex@suse.cz>");
 MODULE_DESCRIPTION("ESS ESx688 AudioDrive");
 MODULE_LICENSE("GPL");
diff -puN sound/isa/es1688/es1688_lib.c~es1688-define-fix sound/isa/es1688/es1688_lib.c
--- 25/sound/isa/es1688/es1688_lib.c~es1688-define-fix	2004-04-04 17:01:47.226452736 -0700
+++ 25-akpm/sound/isa/es1688/es1688_lib.c	2004-04-04 17:01:47.231451976 -0700
@@ -37,8 +37,6 @@ MODULE_DESCRIPTION("ESS ESx688 lowlevel 
 MODULE_CLASSES("{sound}");
 MODULE_LICENSE("GPL");
 
-#define chip_t es1688_t
-
 static int snd_es1688_dsp_command(es1688_t *chip, unsigned char val)
 {
 	int i;

_
